Bug 994100 - unit-tests need to fix occasional NPE failure in WebAdminHostPageServletTest
unit-tests need to fix occasional NPE failure in WebAdminHostPageServletTest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2.3
Assigned To: Alexander Wels
Tareq Alayan
ux
: CodeChange, ZStream
Depends On: 990425
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 10:16 EDT by Idith Tal-Kohen
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Two @Before methods in the WebAdminHostPageServletTest caused unit tests to fail with a null pointer exception (NPE). The methods have been merged, which resolves the problem.
Story Points: ---
Clone Of: 990425
Environment:
Last Closed: 2013-09-10 15:05:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13350 None None None Never

  None (edit)
Description Idith Tal-Kohen 2013-08-06 10:16:57 EDT
+++ This bug was initially created as a clone of Bug #990425 +++

Description of problem:
The WebAdminHostPageServletTest unit test fails occasionally on Null Pointer Excetpion (NPE) - need to fix that.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Einav Cohen 2013-08-07 11:22:39 EDT
Alexander - please backport http://gerrit.ovirt.org/13350 to downstream (rhev-3.2). thanks.
Comment 4 errata-xmlrpc 2013-09-10 15:05:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1210.html

Note You need to log in before you can comment on or make changes to this bug.